From 5ddd9bb6cfce1eda72aade7be93118343e89aff6 Mon Sep 17 00:00:00 2001
From: kurobako <wyyyrd@gmail.com>
Date: Tue, 20 Nov 2018 12:44:57 +0100
Subject: [PATCH] WFLY-4336 Cannot run testsuite if an application holds port
 8080 open

---
 .../domain/DefaultConfigSmokeTestCase.java    |  4 +--
 .../cli/DeployAllServerGroupsTestCase.java    |  2 +-
 .../cli/DeploySingleServerGroupTestCase.java  |  2 +-
 .../DomainDeployWithRuntimeNameTestCase.java  |  2 +-
 .../management/cli/RolloutPlanTestCase.java   |  2 +-
 .../domain-configs/domain-minimal.xml         |  4 +--
 .../resources/domain-configs/domain-rbac.xml  |  6 ++--
 .../domain-configs/domain-respawn.xml         |  4 +--
 .../domain-configs/domain-standard-ee.xml     |  8 ++---
 .../domain-configs/domain-standard.xml        |  8 ++---
 .../domain-configs/domain.cached-remote.xml   |  2 +-
 .../symbolicLink/SymlinkingUnitTestCase.java  |  2 +-
 .../interceptor/security/EJBUtil.java         |  2 +-
 .../interceptor/security/api/EJBUtil.java     |  2 +-
 ...pBasedInitialContextEjbClientTestCase.java |  2 +-
 .../cdi/MDBRAScopeCdiIntegrationTestCase.java |  2 +-
 ...ientInterceptorsEJBAnnotationTestCase.java |  2 +-
 .../EJBClientInvocationTimeoutTestCase.java   |  2 +-
 .../ejb/remote/security/EJBUtil.java          |  2 +-
 .../RunAsPrincipalCustomDomainTestCase.java   |  2 +-
 .../exception/ExceptionEjbClientTestCase.java |  2 +-
 .../DuplicateIDIntegrationTestCase.java       |  2 +-
 .../runtime/ServletRuntimeNameTestCase.java   |  2 +-
 ...tefulEJBRemoteHomeRuntimeNameTestCase.java |  2 +-
 ...elessEJBRemoteHomeRuntimeNameTestCase.java |  2 +-
 .../runtime/TimerEJBRuntimeNameTestCase.java  |  2 +-
 .../mgmt/CoreQueueManagementTestCase.java     |  2 +-
 .../remote/multiple/CallEjbServlet.java       |  2 +-
 .../naming/remote/multiple/MyEjbBean.java     |  2 +-
 .../naming/remote/multiple/RunRmiServlet.java |  2 +-
 .../integration/web/VirtualHostTestCase.java  |  4 +--
 .../resources/jboss-ejb-client.properties     |  2 +-
 .../ejb/security/jboss-ejb-client.properties  |  2 +-
 .../jms/ClusteredMessagingTestCase.java       |  2 +-
 .../src/test/resources/wildfly-config.xml     |  2 +-
 .../timeout/IIOPTimeoutTestCase.java          |  2 +-
 .../resources/jboss-ejb-client.properties     |  2 +-
 ...ytronRemoteOutboundConnectionTestCase.java |  2 +-
 .../reconnect/jboss-ejb-client.properties     |  2 +-
 .../distributed/AbstractDwmTestCase.java      |  2 +-
 .../layered/LayeredDistributionTestCase.java  |  2 +-
 .../ha/AbstractMessagingHATestCase.java       |  2 +-
 .../security/SecuredDataSourceTestCase.java   |  2 +-
 ...ltSystemPropertyOnServerStartTestCase.java |  2 +-
 ...actSecurityContextPropagationTestBase.java |  2 +-
 .../resources/jboss-ejb-client.properties     |  2 +-
 .../resources/legacy-configs/domain/7-1-3.xml |  8 ++---
 .../resources/legacy-configs/domain/7-2-0.xml |  8 ++---
 .../legacy-configs/domain/eap-6-0-0.xml       |  8 ++---
 .../legacy-configs/domain/eap-6-1-0.xml       |  8 ++---
 .../legacy-configs/domain/eap-6-2-0.xml       |  8 ++---
 .../legacy-configs/domain/eap-6-3-0.xml       |  8 ++---
 .../legacy-configs/domain/eap-6-4-0.xml       |  8 ++---
 .../standalone/7-1-3-full-ha.xml              |  2 +-
 .../legacy-configs/standalone/7-1-3-full.xml  |  2 +-
 .../legacy-configs/standalone/7-1-3-ha.xml    |  2 +-
 .../standalone/7-1-3-hornetq-colocated.xml    |  2 +-
 .../legacy-configs/standalone/7-1-3-jts.xml   |  2 +-
 .../legacy-configs/standalone/7-1-3-xts.xml   |  4 +--
 .../legacy-configs/standalone/7-1-3.xml       |  2 +-
 .../standalone/7-2-0-full-ha.xml              |  2 +-
 .../legacy-configs/standalone/7-2-0-full.xml  |  2 +-
 .../legacy-configs/standalone/7-2-0-ha.xml    |  2 +-
 .../standalone/7-2-0-hornetq-colocated.xml    |  2 +-
 .../legacy-configs/standalone/7-2-0-jts.xml   |  2 +-
 .../legacy-configs/standalone/7-2-0-xts.xml   |  4 +--
 .../legacy-configs/standalone/7-2-0.xml       |  2 +-
 .../standalone/eap-6-0-0-full-ha.xml          |  2 +-
 .../standalone/eap-6-0-0-full.xml             |  2 +-
 .../standalone/eap-6-0-0-ha.xml               |  2 +-
 .../eap-6-0-0-hornetq-colocated.xml           |  2 +-
 .../standalone/eap-6-0-0-jts.xml              |  2 +-
 .../standalone/eap-6-0-0-xts.xml              |  4 +--
 .../legacy-configs/standalone/eap-6-0-0.xml   |  2 +-
 .../standalone/eap-6-1-0-full-ha.xml          |  2 +-
 .../standalone/eap-6-1-0-full.xml             |  2 +-
 .../standalone/eap-6-1-0-ha.xml               |  2 +-
 .../eap-6-1-0-hornetq-colocated.xml           |  2 +-
 .../standalone/eap-6-1-0-jts.xml              |  2 +-
 .../standalone/eap-6-1-0-xts.xml              |  4 +--
 .../legacy-configs/standalone/eap-6-1-0.xml   |  2 +-
 .../standalone/eap-6-2-0-full-ha.xml          |  2 +-
 .../standalone/eap-6-2-0-full.xml             |  2 +-
 .../standalone/eap-6-2-0-ha.xml               |  2 +-
 .../eap-6-2-0-hornetq-colocated.xml           |  2 +-
 .../standalone/eap-6-2-0-jts.xml              |  2 +-
 .../standalone/eap-6-2-0-xts.xml              |  4 +--
 .../legacy-configs/standalone/eap-6-2-0.xml   |  2 +-
 .../standalone/eap-6-3-0-full-ha.xml          |  2 +-
 .../standalone/eap-6-3-0-full.xml             |  2 +-
 .../standalone/eap-6-3-0-ha.xml               |  2 +-
 .../eap-6-3-0-hornetq-colocated.xml           |  2 +-
 .../standalone/eap-6-3-0-jts.xml              |  2 +-
 .../standalone/eap-6-3-0-picketlink.xml       | 34 +++++++++----------
 .../standalone/eap-6-3-0-xts.xml              |  4 +--
 .../legacy-configs/standalone/eap-6-3-0.xml   |  2 +-
 .../standalone/eap-6-4-0-full-ha.xml          |  2 +-
 .../standalone/eap-6-4-0-full.xml             |  2 +-
 .../standalone/eap-6-4-0-ha.xml               |  2 +-
 .../eap-6-4-0-hornetq-colocated.xml           |  2 +-
 .../standalone/eap-6-4-0-jts.xml              |  2 +-
 .../standalone/eap-6-4-0-picketlink.xml       | 34 +++++++++----------
 .../standalone/eap-6-4-0-xts.xml              |  4 +--
 .../legacy-configs/standalone/eap-6-4-0.xml   |  2 +-
 .../standalone/eap-7-0-0-picketlink.xml       | 32 ++++++++---------
 .../standalone/eap-7-0-0-xts.xml              |  2 +-
 .../standalone/eap-7-1-0-picketlink.xml       | 32 ++++++++---------
 .../standalone/eap-7-1-0-xts.xml              |  2 +-
 .../federation/SAMLIDPInitiatedTestCase.java  |  2 +-
 .../picketlink/federation/idp-metadata.xml    | 16 ++++-----
 .../picketlink/federation/sp-metadata1.xml    | 16 ++++-----
 .../picketlink/federation/sp-metadata2.xml    | 16 ++++-----
 .../subsystem/MaximumPermissionsTestCase.java |  2 +-
 .../resources/jboss-ejb-client.properties     |  2 +-
 .../eardeployment/EarDeploymentTestCase.java  |  2 +-
 .../SocketBindingBoundPortsTestCase.java      |  2 +-
 .../src/test/scripts/manualmode-build.xml     |  2 +-
 .../session/SessionInvalidateTestCase.java    |  2 +-
 .../session/SessionManagementTestCase.java    |  4 +--
 .../session/SessionPersistenceTestCase.java   |  2 +-
 .../sharedsession/SharedSessionTestCase.java  | 16 ++++-----
 .../AuthenticationPolicyContextTestCase.java  |  2 +-
 .../ws/schemalocations/SimpleService.wsdl     |  2 +-
 .../imported/AnotherService.wsdl              |  2 +-
 .../ws/serviceref/ServiceRefEarTestCase.java  |  2 +-
 .../serviceref/ServiceRefSevletTestCase.java  |  2 +-
 .../ws/serviceref/ServiceRefTestCase.java     |  2 +-
 .../ws/serviceref/TestService.wsdl            |  2 +-
 .../ws/wsa/NoAddressingService.xml            |  2 +-
 .../ws/wsa/OptionalAddressingService.xml      |  2 +-
 .../ws/wsa/RequiredAddressingService.xml      |  2 +-
 .../integration/ws/wsrm/ReliableService.wsdl  |  2 +-
 .../ws/wsse/trust/WEB-INF/picketlink-sts.xml  |  4 +--
 .../wsse/trust/WEB-INF/wsdl/ActAsService.wsdl |  4 +--
 .../trust/WEB-INF/wsdl/BearerService.wsdl     |  2 +-
 .../WEB-INF/wsdl/HolderOfKeyService.wsdl      |  2 +-
 .../trust/WEB-INF/wsdl/OnBehalfOfService.wsdl |  4 +--
 .../trust/WEB-INF/wsdl/PicketLinkSTS.wsdl     |  2 +-
 .../trust/WEB-INF/wsdl/SecurityService.wsdl   |  4 +--
 .../wsdl/bearer-ws-trust-1.4-service.wsdl     |  2 +-
 .../holderofkey-ws-trust-1.4-service.wsdl     |  2 +-
 .../WEB-INF/wsdl/ws-trust-1.4-service.wsdl    |  2 +-
 .../ws/wsse/trust/WSTrustTestCase.java        |  2 +-
 .../SecurityService-ejb-sign-encrypt.wsdl     |  2 +-
 .../wsse/wsdl/SecurityService-ejb-sign.wsdl   |  2 +-
 .../wsdl/SecurityService-sign-encrypt.wsdl    |  2 +-
 .../ws/wsse/wsdl/SecurityService-sign.wsdl    |  2 +-
 .../resources/jboss-ejb-client.properties     |  2 +-
 .../as/test/xts/wsat/client/ATClient.java     |  3 +-
 .../client/BACoordinatorCompletionClient.java |  2 +-
 .../client/BAParticipantCompletionClient.java |  2 +-
 .../domain/mixed/LegacyConfigTest.java        |  2 +-
 .../domain/mixed/SimpleMixedDomainTest.java   |  2 +-
 .../master-config/domain-minimal.xml          |  4 +--
 154 files changed, 290 insertions(+), 291 deletions(-)

diff --git a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/DefaultConfigSmokeTestCase.java b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/DefaultConfigSmokeTestCase.java
index a9663d7a7dd..0aa12dac0a5 100644
--- a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/DefaultConfigSmokeTestCase.java
+++ b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/DefaultConfigSmokeTestCase.java
@@ -64,7 +64,7 @@ public void testStandardHost() throws Exception {
         try {
             utils.start();
             // Double-check server status by confirming server-one can accept a web request to the root
-            URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(masterAddress) + ":8080").openConnection();
+            URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(masterAddress) + ":" + TestSuiteEnvironment.getHttpPort()).openConnection();
             connection.connect();
 
             if (Boolean.getBoolean("expression.audit")) {
@@ -86,7 +86,7 @@ public void testMasterAndSlave() throws Exception {
             masterUtils.start();
             slaveUtils.start();
             // Double-check server status by confirming server-one can accept a web request to the root
-            URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(slaveAddress) + ":8080").openConnection();
+            URLConnection connection = new URL("http://" + TestSuiteEnvironment.formatPossibleIpv6Address(slaveAddress) + ":" + TestSuiteEnvironment.getHttpPort()).openConnection();
             connection.connect();
         } finally {
             try {
diff --git a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeployAllServerGroupsTestCase.java b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeployAllServerGroupsTestCase.java
index 99199d59ea4..d0b88927cdc 100644
--- a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeployAllServerGroupsTestCase.java
+++ b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeployAllServerGroupsTestCase.java
@@ -132,7 +132,7 @@ private void checkURL(String path, String content, boolean shouldFail) throws Ex
                 if (! CLITestSuite.serverStatus.get(server)) continue;
                 Integer portOffset = CLITestSuite.portOffsets.get(server);
 
-                URL url = new URL("http", address, 8080 + portOffset, path);
+                URL url = new URL("http", address, Integer.parseInt(System.getProperty("jboss.http.port", "8080")) + portOffset, path);
                 boolean failed = false;
                 try {
                     String response = HttpRequest.get(url.toString(), 10, TimeUnit.SECONDS);
diff --git a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeploySingleServerGroupTestCase.java b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeploySingleServerGroupTestCase.java
index 083ce13755d..7bb229244ce 100644
--- a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeploySingleServerGroupTestCase.java
+++ b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DeploySingleServerGroupTestCase.java
@@ -162,7 +162,7 @@ private void checkURL(String path, String content, String serverGroup, boolean s
                 if (! CLITestSuite.serverStatus.get(server)) continue; // server not started
                 Integer portOffset = CLITestSuite.portOffsets.get(server);
 
-                URL url = new URL("http", address, 8080 + portOffset, path);
+                URL url = new URL("http", address, Integer.parseInt(System.getProperty("jboss.http.port", "8080")) + portOffset, path);
                 boolean failed = false;
                 try {
                     String response = HttpRequest.get(url.toString(), 10, TimeUnit.SECONDS);
diff --git a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DomainDeployWithRuntimeNameTestCase.java b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DomainDeployWithRuntimeNameTestCase.java
index 6f93e1c76e3..18da0b7c056 100644
--- a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DomainDeployWithRuntimeNameTestCase.java
+++ b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/DomainDeployWithRuntimeNameTestCase.java
@@ -159,7 +159,7 @@ private void checkURL(String path, String content, String serverGroup, boolean s
                 if (!CLITestSuite.serverStatus.get(server)) {
                     continue; // server not started
                 }
-                int port = 8080 + CLITestSuite.portOffsets.get(server);
+                int port = Integer.parseInt(System.getProperty("jboss.http.port", "8080")) + CLITestSuite.portOffsets.get(server);
 
                 URL url = new URL("http", address, port, path);
                 boolean failed = false;
diff --git a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/RolloutPlanTestCase.java b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/RolloutPlanTestCase.java
index 557cac459e3..5d374aba520 100644
--- a/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/RolloutPlanTestCase.java
+++ b/testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/RolloutPlanTestCase.java
@@ -422,7 +422,7 @@ private static String checkURL(String server, boolean shouldFail, String path) t
         String address = CLITestSuite.hostAddresses.get(getServerHost(server));
         Integer portOffset = CLITestSuite.portOffsets.get(server);
 
-        URL url = new URL("http", address, 8080 + portOffset, path);
+        URL url = new URL("http", address, Integer.parseInt(System.getProperty("jboss.http.port", "8080")) + portOffset, path);
         boolean failed = false;
         String response = null;
         try {
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/deployment/structure/war/symbolicLink/SymlinkingUnitTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/deployment/structure/war/symbolicLink/SymlinkingUnitTestCase.java
index 76ca9842937..1beadc5de8d 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/deployment/structure/war/symbolicLink/SymlinkingUnitTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/deployment/structure/war/symbolicLink/SymlinkingUnitTestCase.java
@@ -156,7 +156,7 @@ private void setup(boolean symlinkingEnabled) throws IOException {
     private int getURLcode(String htmlPage) {
         int code = 0;
         try {
-            String url = "http://" + TestSuiteEnvironment.getServerAddress() + ":8080/explodedDeployment/"
+            String url = "http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/explodedDeployment/"
                     + htmlPage + ".html";
             logger.infof("%s is the built URL.", url);
             HttpURLConnection urlConnection = (HttpURLConnection) new URL(url).openConnection();
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/EJBUtil.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/EJBUtil.java
index 97c0823f9d1..b1e3f702d99 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/EJBUtil.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/EJBUtil.java
@@ -104,7 +104,7 @@ public static Properties createEjbClientConfiguration(String hostName, String us
         pr.put("remote.connectionprovider.create.options.org.xnio.Options.SSL_ENABLED", "false");
         pr.put("remote.connections", "default");
         pr.put("remote.connection.default.host", hostName);
-        pr.put("remote.connection.default.port", "8080");
+        pr.put("remote.connection.default.port", System.getProperty("jboss.http.port", "8080"));
         pr.put("remote.connection.default.username", username);
         return pr;
     }
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/api/EJBUtil.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/api/EJBUtil.java
index 0188608fe2b..b7954942a19 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/api/EJBUtil.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/container/interceptor/security/api/EJBUtil.java
@@ -107,7 +107,7 @@ public static Properties createEjbClientConfiguration(String hostName, String us
         pr.put("remote.connectionprovider.create.options.org.xnio.Options.SSL_ENABLED", "false");
         pr.put("remote.connections", "default");
         pr.put("remote.connection.default.host", hostName);
-        pr.put("remote.connection.default.port", "8080");
+        pr.put("remote.connection.default.port", System.getProperty("jboss.http.port", "8080"));
         pr.put("remote.connection.default.username", userName);
         return pr;
     }
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mapbased/MapBasedInitialContextEjbClientTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mapbased/MapBasedInitialContextEjbClientTestCase.java
index 0a38c5bf93e..7bbd452f9a8 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mapbased/MapBasedInitialContextEjbClientTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mapbased/MapBasedInitialContextEjbClientTestCase.java
@@ -63,7 +63,7 @@
      */
     @Test
     public void testScopedEJBClientContexts() throws Exception {
-        InitialContext ctx = new InitialContext(getEjbClientProperties(System.getProperty("node0", "127.0.0.1"), 8080));
+        InitialContext ctx = new InitialContext(getEjbClientProperties(System.getProperty("node0", "127.0.0.1"), Integer.parseInt(System.getProperty("jboss.http.port", "8080"))));
         try {
             String lookupName = "ejb:/" + ARCHIVE_NAME + "/" + StatelessBean.class.getSimpleName() + "!" + StatelessIface.class.getCanonicalName();
             StatelessIface beanStateless = (StatelessIface) ctx.lookup(lookupName);
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mdb/cdi/MDBRAScopeCdiIntegrationTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mdb/cdi/MDBRAScopeCdiIntegrationTestCase.java
index 4c58ce4aad0..64238e07b32 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mdb/cdi/MDBRAScopeCdiIntegrationTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/mdb/cdi/MDBRAScopeCdiIntegrationTestCase.java
@@ -250,7 +250,7 @@ private static InitialContext getInitialContext() throws NamingException {
         final Hashtable env = new Hashtable();
         env.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
         env.put(Context.INITIAL_CONTEXT_FACTORY, org.jboss.naming.remote.client.InitialContextFactory.class.getName());
-        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + 8080);
+        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + Integer.parseInt(System.getProperty("jboss.http.port", "8080")));
         return new InitialContext(env);
     }
 }
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/client/api/interceptor/annotation/ClientInterceptorsEJBAnnotationTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/client/api/interceptor/annotation/ClientInterceptorsEJBAnnotationTestCase.java
index 5b030c23b38..7a9d722308a 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/client/api/interceptor/annotation/ClientInterceptorsEJBAnnotationTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/client/api/interceptor/annotation/ClientInterceptorsEJBAnnotationTestCase.java
@@ -63,7 +63,7 @@ public void check() throws NamingException {
         properties.put(Context.INITIAL_CONTEXT_FACTORY, WildFlyInitialContextFactory.class.getName());
         properties.put(Context.PROVIDER_URL, "remote+http://" +
                 NetworkUtils.formatPossibleIpv6Address(System.getProperty("node0", "localhost"))
-                + ":8080");
+                + ":" + System.getProperty("jboss.http.port", "8080"));
         final InitialContext ejbCtx = new InitialContext(properties);
         try {
             SLSBReturningContextDataRemote bean = (SLSBReturningContextDataRemote)ejbCtx.lookup(
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/invocationtimeout/EJBClientInvocationTimeoutTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/invocationtimeout/EJBClientInvocationTimeoutTestCase.java
index 93dbee7b136..e187edfbc78 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/invocationtimeout/EJBClientInvocationTimeoutTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/invocationtimeout/EJBClientInvocationTimeoutTestCase.java
@@ -58,7 +58,7 @@
     private static final String MODULE_NAME = "ejb-client-invocation-timeout";
 
     final String INVOCATION_URL = "remote+http://" +
-            NetworkUtils.formatPossibleIpv6Address(System.getProperty("node0", "localhost")) + ":8080";
+            NetworkUtils.formatPossibleIpv6Address(System.getProperty("node0", "localhost")) + ":" + System.getProperty("jboss.http.port", "8080");
 
     @Deployment(testable = false)
     public static Archive createDeployment() {
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/security/EJBUtil.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/security/EJBUtil.java
index e89415e5a1a..bc2e2008564 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/security/EJBUtil.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/remote/security/EJBUtil.java
@@ -89,7 +89,7 @@ public static Properties createEjbClientConfiguration(String hostName) throws Un
         pr.put("remote.connection.default.connect.options.org.xnio.Options.SASL_DISALLOWED_MECHANISMS", "JBOSS-LOCAL-USER");
         pr.put("remote.connections", "default");
         pr.put("remote.connection.default.host", hostName);
-        pr.put("remote.connection.default.port", "8080");
+        pr.put("remote.connection.default.port", System.getProperty("jboss.http.port", "8080"));
         pr.put("remote.connection.default.username", CONNECTION_USERNAME);
         pr.put("remote.connection.default.password", CONNECTION_PASSWORD);
         return pr;
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/security/RunAsPrincipalCustomDomainTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/security/RunAsPrincipalCustomDomainTestCase.java
index 76de98e78a0..e843d4b0eb2 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/security/RunAsPrincipalCustomDomainTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/security/RunAsPrincipalCustomDomainTestCase.java
@@ -101,7 +101,7 @@ public void test() throws Exception {
         String caller = AuthenticationContext.empty()
                 .with(MatchRule.ALL,
                         AuthenticationConfiguration.empty().useName("guest").usePassword("guest").useRealm("ApplicationRealm")
-                                .useHost(Utils.getDefaultHost(false)).usePort(8080)
+                                .useHost(Utils.getDefaultHost(false)).usePort(Integer.parseInt(System.getProperty("jboss.http.port", "8080")))
                                 .setSaslMechanismSelector(SaslMechanismSelector.fromString("DIGEST-MD5")))
                 .runCallable(callable);
         assertEquals("Unexpected principal name returned", "principalFromEntryBean", caller);
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/stateful/exception/ExceptionEjbClientTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/stateful/exception/ExceptionEjbClientTestCase.java
index ee91fa3feb2..b89502becb2 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/stateful/exception/ExceptionEjbClientTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/stateful/exception/ExceptionEjbClientTestCase.java
@@ -49,7 +49,7 @@
     public static void beforeClass() throws Exception {
         final Properties props = new Properties();
         props.put(Context.INITIAL_CONTEXT_FACTORY, WildFlyInitialContextFactory.class.getName());
-        props.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + 8080);
+        props.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + Integer.parseInt(System.getProperty("jboss.http.port", "8080")));
         context = new InitialContext(props);
     }
 
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jsf/duplicateid/DuplicateIDIntegrationTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jsf/duplicateid/DuplicateIDIntegrationTestCase.java
index 6d54a48e9a6..e6e273e57de 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jsf/duplicateid/DuplicateIDIntegrationTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jsf/duplicateid/DuplicateIDIntegrationTestCase.java
@@ -65,7 +65,7 @@
             COMPONENTS = "components",
             RESOURCES = "resources";
 
-    private static final int APPLICATION_PORT = 8080;
+    private static final int APPLICATION_PORT = Integer.parseInt(System.getProperty("jboss.http.port", "8080"));
 
     @Deployment(testable = false, name = APP_NAME)
     public static Archive<?> deploy() {
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/ServletRuntimeNameTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/ServletRuntimeNameTestCase.java
index ab58c923e7c..d24e1000a56 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/ServletRuntimeNameTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/ServletRuntimeNameTestCase.java
@@ -155,7 +155,7 @@ public void testRecursive() throws Exception {
 
     @Test
     public void testServletCall() throws Exception {
-        String url = "http://" + TestSuiteEnvironment.getServerAddress() + ":8080/"+SUB_DEPLOYMENT_MODULE_NAME+Servlet.URL_PATTERN;
+        String url = "http://" + TestSuiteEnvironment.getServerAddress() + ":" + TestSuiteEnvironment.getHttpPort() + "/"+SUB_DEPLOYMENT_MODULE_NAME+Servlet.URL_PATTERN;
         String res = HttpRequest.get(url, 2, TimeUnit.SECONDS);
         Assert.assertEquals(Servlet.SUCCESS, res);
     }
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatefulEJBRemoteHomeRuntimeNameTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatefulEJBRemoteHomeRuntimeNameTestCase.java
index c8c19d194b2..0fb3475c413 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatefulEJBRemoteHomeRuntimeNameTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatefulEJBRemoteHomeRuntimeNameTestCase.java
@@ -101,7 +101,7 @@ private static InitialContext getInitialContext() throws NamingException {
         final Hashtable env = new Hashtable();
         env.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
         env.put(Context.INITIAL_CONTEXT_FACTORY, org.jboss.naming.remote.client.InitialContextFactory.class.getName());
-        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + 8080);
+        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + Integer.parseInt(System.getProperty("jboss.http.port", "8080")));
         return new InitialContext(env);
     }
 
diff --git a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatelessEJBRemoteHomeRuntimeNameTestCase.java b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatelessEJBRemoteHomeRuntimeNameTestCase.java
index ba27992f319..b696a920947 100644
--- a/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatelessEJBRemoteHomeRuntimeNameTestCase.java
+++ b/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/deploy/runtime/StatelessEJBRemoteHomeRuntimeNameTestCase.java
@@ -100,7 +100,7 @@ private static InitialContext getInitialContext() throws NamingException {
         final Hashtable env = new Hashtable();
         env.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
         env.put(Context.INITIAL_CONTEXT_FACTORY, org.jboss.naming.remote.client.InitialContextFactory.class.getName());
-        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + 8080);
+        env.put(Context.PROVIDER_URL, "remote+http://" + TestSuiteEnvironment.getServerAddress() + ":" + Integer.parseInt(System.getProperty("jboss.http.port", "8080")));
         return new InitialContext(env);
     }
 
